Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.initialization
Class AbstractProjectSpec

    java.lang.Object
      org.gradle.initialization.AbstractProjectSpec

All Implemented Interfaces:
  ProjectSpec

Direct Known Subclasses:
  BuildFileProjectSpec, ProjectDirectoryProjectSpec

    public abstract class AbstractProjectSpec

extends java.lang.Object
implements ProjectSpec

Constructor Summary
`AbstractProjectSpec()`

Method Summary
`protected void` | `checkPreconditions(org.gradle.api.internal.project.IProjectRegistry<?> registry)`
`boolean` | `containsProject(org.gradle.api.internal.project.IProjectRegistry<?> registry)` Determines whether the given registry contains at least 1 project which meets this spec.
`protected abstract java.lang.String` | `formatMultipleMatchesMessage(java.lang.Iterable<? extends org.gradle.api.internal.project.ProjectIdentifier> matches)`
`protected abstract java.lang.String` | `formatNoMatchesMessage()`
`protected abstract boolean` | `select(org.gradle.api.internal.project.ProjectIdentifier project)`
`
`<T extends org.gradle.api.internal.project.ProjectIdentifier> T`
` | `selectProject(org.gradle.api.internal.project.IProjectRegistry<? extends T> registry)` Returns the single project in the given registry which meets this spec.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.gradle.initialization.ProjectSpec
`getDisplayName`

Constructor Detail

### AbstractProjectSpec

    public AbstractProjectSpec()

Method Detail

### containsProject

    public boolean containsProject(org.gradle.api.internal.project.IProjectRegistry<?> registry)

  Description copied from interface: `ProjectSpec`
  Determines whether the given registry contains at least 1 project which meets this spec.

  Specified by:
    `containsProject` in interface `ProjectSpec`

### selectProject

    public <T extends org.gradle.api.internal.project.ProjectIdentifier> T selectProject(org.gradle.api.internal.project.IProjectRegistry<? extends T> registry)

  Description copied from interface: `ProjectSpec`
  Returns the single project in the given registry which meets this spec.

  Specified by:
    `selectProject` in interface `ProjectSpec`
  Returns:
    the project. Never not return null.

### checkPreconditions

    protected void checkPreconditions(org.gradle.api.internal.project.IProjectRegistry<?> registry)

### formatMultipleMatchesMessage

    protected abstract java.lang.String formatMultipleMatchesMessage(java.lang.Iterable<? extends org.gradle.api.internal.project.ProjectIdentifier> matches)

### formatNoMatchesMessage

    protected abstract java.lang.String formatNoMatchesMessage()

### select

    protected abstract boolean select(org.gradle.api.internal.project.ProjectIdentifier project)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD